<!--- This is a markdown file. MacDown (https://macdown.uranusjr.com) is a great markdown viewer if you don't already have one, or you can view this file as plaintext (but you'll miss out on the formatting). -->

###1 - Description of problem
**In macOS**

* Bluetooth works fine (for Magic Keyboard 2 and Magic Trackpad 2)
* Wifi shows in System Preferences/Network, but I cannot turn it on (clicking "Turn Wi-Fi On" causes the button to flash but immediately reverts to OFF state).

**In Windows**

* Installed one of the bootcamp drivers (Bootcamp/Drivers/Broadcom/BroadcomWirelessWin8x64)
* Bluetooth works fine, as in macOS
* Wifi is on, but cannot find any networks

**Questions**

1. Anything else I can try to get WiFi working?
2. Is there a possibility I got a bad WiFi card? If so, should I try another BCM94360CS2 or go with something like a BCM943602CD or BCM94360CD?


###2 - Version and System Information
**macOS Version:** 10.13.5 (17F77)
<br/>
**Windows Version:** 10.0.14393 (Build 14393)
<br/>
**Motherboard Model:** ASUS ROG STRIX Z370-G
<br/>
**WiFi Card:** [BCM94360CS2](https://www.amazon.com/gp/product/B07C78VBCD/ref=oh_aui_detailpage_o01_s01?ie=UTF8&psc=1) w/ [Adapter](https://www.amazon.com/gp/product/B073W8VKMB/ref=oh_aui_detailpage_o01_s02?ie=UTF8&psc=1) (according to [Post #40](https://www.tonymacx86.com/threads/pastrychefs-asus-rog-strix-z370-g-gaming-wi-fi-ac-build-w-i7-8700k-amd-vega-56.239969/page-4#post-1650773))
<br/>
**BIOS Version:** 0805
<br/>
**Processor:** Intel i7-8700K
<br/>
**Graphics:** Intel UHD Graphics 630 (onboard 8700K)


###3 - Procedure/Guide Used
Tried a few different things, none of them made a difference. First 3 from [Post #1/I](https://www.tonymacx86.com/threads/broadcom-wifi-bluetooth-guide.242423/):

1. FakePCIID
	* Downloaded RehabMan-FakePCIID-2018-0421.zip from https://bitbucket.org/RehabMan/os-x-fake-pci-id/downloads/
	* Coppied FakePCIID.kext and FakePCIID\_Broadcom\_WiFi.kext to /Library/Extensions (also tried /EFI/CLOVER/kexts/Other/)
	* Coppied the following dictionary to config.plist/KernelAndKextPatches/KextsToPatch/

	         {
                Comment = "10.12+-BCM94352-fvco-darkvoid";
                Find = <81f952aa 00007529>;
                MatchOS = "10.12.x";
                Name = "com.apple.driver.AirPort.Brcm4360";
                Replace = <81f952aa 00006690>;
            }
   * Rebooted
             
2. SSDT
   * Downloaded ssdt_arpt-rp03-bcm4352.zip from [https://github.com/toleda/wireless_broadcom/tree/master/ssdt_arpt](https://github.com/toleda/wireless_broadcom/tree/master/ssdt_arpt)
   * Coppied above file to /EFI/CLOVER/ACPI/patched
   * Coppied the following dictionary to config.plist/KernelAndKextPatches/KextsToPatch/

            {
                Comment = "10.13-BCM94352-fvco-darkvoid-Sherlocks";
                Find = <81f952aa 000074bf>;
                MatchOS = "10.13.x";
                Name = "com.apple.driver.AirPort.BrcmNIC-MFG";
                Replace = <81f952aa 00006690>;
            }
   * Rebooted
3. AirportBrcmFixup.kext
   * Downloaded kext from [AirportBrcmFixup](https://sourceforge.net/projects/airportbrcmfixup/)
   * Installed AirportBrcmFixup.kext to /EFI/Clover/kexts/Other/
   * Already have Lilu.kext
4. Noticed on Amazon product page that the card I'm using is from a MacBook Air. On a whim I used multibeast to change my system definition from MacPro 6,1 (arbitrarily chosen) to MacBook Air 6,2. Didn't make a difference. Also tried iMac 18,3 - this caused my graphics to behave very strangely until I reverted back to MacPro 6,1.